[freenet-cvs] r20183 - in trunk/apps/new_installer: res/unix/bin scripts

nextgens at freenetproject.org nextgens at freenetproject.org
Mon Jun 2 14:06:17 UTC 2008


Author: nextgens
Date: 2008-06-02 14:06:17 +0000 (Mon, 02 Jun 2008)
New Revision: 20183

Modified:
   trunk/apps/new_installer/res/unix/bin/detect_port_availability.sh
   trunk/apps/new_installer/scripts/1run.sh
Log:
new_installer: a thought for idiots who don't have a loopback interface configured

Modified: trunk/apps/new_installer/res/unix/bin/detect_port_availability.sh
===================================================================
--- trunk/apps/new_installer/res/unix/bin/detect_port_availability.sh	2008-06-02 13:58:46 UTC (rev 20182)
+++ trunk/apps/new_installer/res/unix/bin/detect_port_availability.sh	2008-06-02 14:06:17 UTC (rev 20183)
@@ -15,7 +15,16 @@
 	if test $? -ne 0
 	then
 		FPROXY_PORT=9999
-		echo "Can not bind fproxy to 8889: force it to $FPROXY_PORT instead."
+		java -jar bin/bindtest.jar $FPROXY_PORT
+		if test $? -ne 0
+		then
+			echo "Can not bind any socket on 127.0.0.1:"
+			echo "		IT SHOULDN'T HAPPEN\!"
+			echo ""
+			echo "Make sure your loopback interface is properly configured. Delete Freenet\'s directory and retry."
+			touch .isInstalled
+			exit 1
+		fi
 	fi
 
 	cat bin/browse.sh | sed "s/8888/$FPROXY_PORT/g" > browse.sh

Modified: trunk/apps/new_installer/scripts/1run.sh
===================================================================
--- trunk/apps/new_installer/scripts/1run.sh	2008-06-02 13:58:46 UTC (rev 20182)
+++ trunk/apps/new_installer/scripts/1run.sh	2008-06-02 14:06:17 UTC (rev 20183)
@@ -39,7 +39,16 @@
 	if test $? -ne 0
 	then
 		FPROXY_PORT=9999
-		echo "Can not bind fproxy to 8889: force it to $FPROXY_PORT instead."
+		java -jar bin/bindtest.jar $FPROXY_PORT
+		if test $? -ne 0
+		then
+			echo "Can not bind any socket on 127.0.0.1:"
+			echo "		IT SHOULDN'T HAPPEN\!"
+			echo ""
+			echo "Make sure your loopback interface is properly configured. Delete Freenet\'s directory and retry."
+			touch .isInstalled
+			exit 1
+		fi
 	fi
 	cat welcome.html | sed "s/8888/$FPROXY_PORT/g" >welcome2.html
 	mv welcome2.html welcome.html




More information about the cvs mailing list